Name:       thermostat
Version:    0.1
Release:    1%{?dist}
Summary:    A monitoring and serviceability tool for OpenJDK
License:    GPLv2+ with exceptions
URL:        http://icedtea.classpath.org/thermostat/
Source0:    http://icedtea.classpath.org/hg/thermostat/archive/6f83cf36541d.tar.gz
Patch0:     fix-install-dir.patch

BuildArch:  noarch

BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  jpackage-utils

BuildRequires: ant
BuildRequires: jfreechart
BuildRequires: mongo-java-driver
BuildRequires: mongo-java-driver-bson

Requires: java >= 1:1.6.0
Requires: jpackage-utils

Requires: jfreechart
Requires: mongodb
Requires: mongodb-server
Requires: mongo-java-driver
Requires: mongo-java-driver-bson

%description
Thermostat is a monitoring and instrumentation tool for the Hotspot JVM,
with support for monitoring multiple JVM instances. The system is made
up of two processes: an Agent, which collects data, and a Client which
allows users to visualize this data. These components communicate via
a MongoDB-based storage layer. A pluggable agent framework allows for
collection of performance data beyond that which is included out of the
box. Support for corresponding pluggable GUI components for visualization
of additional data is pending.

%package javadoc
Summary:    Javadocs for %{name}
Group:      Documentation
Requires:   jpackage-utils

%description javadoc
This package contains the API documentation for %{name}

%prep
%setup -q -n thermostat-6f83cf36541d
%patch0

%build
ant

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datarootdir}/%{name}
mkdir -p %{buildroot}%{_sysconfdir}

cp -a dist/lib %{buildroot}%{_datarootdir}/%{name}/

cp -a dist/scripts %{buildroot}%{_datarootdir}/%{name}/
ln -s %{_datarootdir}/%{name}/scripts/thermostat-client-gui %{buildroot}%{_bindir}/thermostat-client

sed -i 's|[@]THERM_INSTALL_DIR[@]|%{_datarootdir}/%{name}|' dist/config/agent.properties
cp -a dist/config %{buildroot}%{_sysconfdir}/%{name}
ln -s %{_sysconfdir}/%{name} %{buildroot}%{_datarootdir}/%{name}/config

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -a dist/doc/javadoc %{buildroot}%{_javadocdir}/%{name}

%files
%doc COPYING
%doc LICENSE
%doc README
%config(noreplace) %{_sysconfdir}/%{name}
%{_datarootdir}/%{name}
%{_bindir}/thermostat-client

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Mon Feb 13 2012 Omair Majid <omajid@redhat.com> - 0.1-1
- Updated description

* Tue Feb 07 2012 Omair Majid <omajid@redhat.com> - 0.1-1
- Intial package
